Skip to main content
GET
Get PostgreSQL cluster

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

cluster_name
string
required

Cluster name

Response

200 - application/json

OK

cluster_name
string
required
Required string length: 1 - 50
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
created_at
string<date-time>
required
databases
DatabaseOverview · object[]
required
flavor
Flavor · object
required

Instance RAM and CPU

high_availability
HighAvailabilityOptions · object | null
required
network
Network · object
required
pg_server_configuration
PostgreSQLServerConfig · object
required

Main PG configuration

status
enum<string>
required

Current cluster status

Available options:
DELETING,
FAILED,
PREPARING,
READY,
UNHEALTHY,
UNKNOWN,
UPDATING
storage
Storage · object
required

PG's storage configuration

users
PgUserOverview · object[]
required